> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/changelog/flutter-sdk.md).

# Flutter SDK

{% updates format="full" %}
{% update date="2026-05-24" %}

## v19.7.0

#### Added

* WebView Support: New APIs to monitor WebViews in your app, including page navigations, user interactions, and network requests issued from inside the WebView. Enable WebView monitoring after `Luciq.init`:

```dart
// Enable WebView monitoring (required for the APIs below).
Luciq.setWebViewMonitoringEnabled(true);
// Track taps and other user interactions inside WebViews.
Luciq.setWebViewUserInteractionsTrackingEnabled(true);
// Log network requests issued from WebViews.
Luciq.setWebViewNetworkTrackingEnabled(true);
```

All three APIs default to disabled. `Luciq.setWebViewMonitoringEnabled` must be on for the user-interactions and network-tracking APIs to take effect.

#### Changed

* Bump Luciq iOS SDK to v19.7.0.
* Bump Luciq Android SDK to v19.7.0.
  {% endupdate %}

{% update date="2026-05-12" %}

## v19.6.0

#### Added

* Add support for Screen Loading with navigation integration and manual reporting API.

#### Changed

* Bump Luciq iOS SDK to v19.6.1.
* Bump Luciq Android SDK to v19.6.0.
  {% endupdate %}

{% update date="2026-04-09" %}

## v19.4.0

#### Added

* Session Replay Screenshot Quality Control: New API to adjust the visual quality of captured screenshots.

```dart
// ScreenshotQualityMode.normal: 25% compression. Balanced quality.
// ScreenshotQualityMode.high: 50% compression. Better clarity.
// ScreenshotQualityMode.greyScale: 25% compression. Reduced color data.
SessionReplay.setScreenshotQualityMode(ScreenshotQualityMode.normal);
```

* Video-like Session Replay (Experimental): Capture screenshots based on user interactions or at fixed intervals. Warning: Video-like Session Replay may capture sensitive UI unmasked in some cases. USE AT YOUR OWN DISCRETION TO PREVENT PII LEAKAGE.

```dart
// ScreenshotCapturingMode.navigation: captures on screen changes.
// ScreenshotCapturingMode.interaction: captures on user interactions.
// ScreenshotCapturingMode.frequency: captures at fixed intervals.
SessionReplay.setScreenshotCapturingMode(ScreenshotCapturingMode.frequency);
SessionReplay.setScreenshotCaptureInterval(500);
```

Note: On Android low-performance devices, only `ScreenshotCapturingMode.navigation` mode is available.

* Custom Spans: New feature to manually instrument code paths for performance tracking.
  * `APM.startCustomSpan(name)`
  * `CustomSpan.end()`
  * `APM.addCompletedCustomSpan(name, startDate, endDate)`

#### Changed

* Bump Luciq iOS SDK to v19.5.1.
* Bump Luciq Android SDK to v19.4.0.
  {% endupdate %}

{% update date="2026-03-09" %}

## v19.3.0

#### Changed

* Bump Luciq iOS SDK to v19.5.0.
* Bump Luciq Android SDK to v19.3.0.
  {% endupdate %}

{% update date="2026-02-25" %}

## v19.2.2

#### Added

* Allow identification with nullable email.

#### Changed

* Bump Luciq iOS SDK to v19.4.1.
* Bump Luciq Android SDK to v19.2.2.
  {% endupdate %}

{% update date="2026-01-28" %}

## v19.2.1

#### Added

* Add new `UserConsentActionType.noAutomaticBugGrouping`.

#### Changed

* Bump Luciq iOS SDK to v19.4.0.
* Bump Luciq Android SDK to v19.2.1.
  {% endupdate %}

{% update date="2026-01-15" %}

## v19.1.0

#### Changed

* Bump Luciq iOS SDK to v19.3.0.
* Bump Luciq Android SDK to v19.1.0.
  {% endupdate %}

{% update date="2025-12-17" %}

## v19.0.0

#### Added

* Add support for Screen Rendering.

#### Changed

* Bump Luciq iOS SDK to v19.2.0.
* Bump Luciq Android SDK to v19.0.0.
  {% endupdate %}

{% update date="2025-11-26" %}

## v18.2.1

#### Fixed

* Guard `LuciqNavigatorObserver` pending-step removal to eliminate the race that could crash apps or produce incorrect screenshots during rapid route transitions.
  {% endupdate %}

{% update date="2025-11-19" %}

## v18.2.0

#### Added

* Make `LuciqNavigatorObserver` screen report delay configurable.

#### Changed

* Bump iOS SDK to v19.1.0.
* Bump Android SDK to v18.2.0.
  {% endupdate %}

{% update date="2025-10-28" %}

## v18.0.1

#### Added

* Add support for proactive bug-reporting.
* Add support for enable/disable the automatic masking of sensitive information in network logs.
* Add support for NDK Crash.

#### Changed

* Bump iOS SDK to v18.0.1.
* Bump Android SDK to v18.0.1.
  {% endupdate %}

{% update date="2025-09-24" %}

## v18.0.0

* SDK rebranded from Instabug to Luciq.
  {% endupdate %}
  {% endupdates %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/changelog/flutter-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
